store-payments-get-one

Source

  • Repository: jef-systems/jef-store-backend

  • Source Run ID: 25333167796

  • Source SHA: 69cb846339fa14db005aec45414a4a94ec2a821e

  • Module: store

  • Documentation Scope: get

  • Lambda: jef-store-get-31

Endpoint

  • API Name: jef-store

  • Action Name: get

  • Method: GET

  • Scope Label: GET

  • Resource Path: /store-payments-get-one

  • Complete Endpoint: https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-payments-get-one

  • Lambda ARN: arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-get-31

  • curl payload mode: query_string

API Gateway Description

Function: jef-store-get-31
API Name: jef-store
Action: get
Method: GET
Resource Path: /store-payments-get-one

Table:
- table: jef-store-payments
- operation: get-one

Payload Schema:
- pk: payment_id

Payload Example:
- pk: payment-1001-0001

Response Schema:
- exists: boolean
- message: string
- item: {"payment_id":"string","entity_number":"string","order_number":"string","payment_reference":"string","payment_method":"string","payment_status":"string","amount_due":"number","amount_paid":"number","paid_at":"string","failure_reason":"string","is_active":"boolean","is_deleted":"boolean","deleted_at":"string","created_at":"string","updated_at":"string","idempotency_key":"string","schema_version":"number","version":"number"}

Request Payload

{
  "pk": "payment_id"
}

Response

{
  "exists": "boolean",
  "message": "string",
  "item": "{\"payment_id\":\"string\",\"entity_number\":\"string\",\"order_number\":\"string\",\"payment_reference\":\"string\",\"payment_method\":\"string\",\"payment_status\":\"string\",\"amount_due\":\"number\",\"amount_paid\":\"number\",\"paid_at\":\"string\",\"failure_reason\":\"string\",\"is_active\":\"boolean\",\"is_deleted\":\"boolean\",\"deleted_at\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"idempotency_key\":\"string\",\"schema_version\":\"number\",\"version\":\"number\"}"
}

CMD curl

curl "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-payments-get-one?pk=payment-1001-0001"

PowerShell curl

curl.exe "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-payments-get-one?pk=payment-1001-0001"